Create card in LMS + Secure Payments

This request creates a card in LMS and Secure Payments.

   Click here to learn more about this request

From a LoanPro perspective (and a real-world one, too), a card is an instrument for accessing funds tied to a line of credit account. Note the following when using this request:

This request initiates the card creation process. Cards are created within Secure Payments, but this request uses the LoanPro API to initiate the card creation process within Secure Payments. The card creation process is a collection of asynchronous tasks, which include creating the card entity, associated the card with other entities, pushing card information back into LoanPro, and more. Creating cards this way is advantageous as it ensures that the card information exists in both LoanPro and Secure Payments. However, there is an alternative request that creates the card only in LoanPro if preferred. To create a card only within LoanPro, see the POST Create card in LMS request.

Cards within LMS are associated both with a Customer and a Line of Credit account. Both entities are required when creating a card, and they must already be associated with each other.

Creating a card requires certain information to exist within the associated customer's profile. Ensure the customer's profile has a gender of male or female selected. For more information, see the POST Create Customer request.

This request will create a corresponding customer in Secure Payments.

Once a card is created, its UUID is used to authorize swipes. However, please note that the card's UUID is generated by Secure Payments and pushed back into LoanPro via an asynchronous process. There is a short delay between the creation of the card and the storing of its UUID in LoanPro. Once returned, the card's UUID is stored within the "merchantCardToken" field of the Cards entity within LoanPro. To pull the card's UUID, use the GETCard UUID request.

{
    "entityType": "Entity.LineOfCredit",
    "entityId": 82983,
    "bucketId": 1,
    "customerId": 2245,
    "cardName": "Card for Account 82983",
    "programId": 3
}
{
    "programId": 779,
    "cardName": "Cashback Rewards",
    "bucketId": 1,
    "customerId": 261,
    "digitalWalletCardArtId": "cc907ab5-541e-44ce-8fed-340ca1f00da0",
    "embossProductId": 1,
    "kycPassedTimestamp": "2025-02-10T07:05:00.000Z",
    "tosTimestamp": "2025-02-11T07:00:00.000Z",
    "expirationDate": "02/2027",
    "shippingAddress": {
        "address1": "161 Gerrard St E",
        "address2": null,
        "zipcode": "m5a2e4",
        "city": "Vancouver",
        "state": "geo.province.ON",
        "country": "company.country.can"
    },
    "billingAddress": {
        "address1": "161 Gerrard St E",
        "address2": null,
        "zipcode": "m5a2e4",
        "city": "Vancouver",
        "state": "geo.province.ON",
        "country": "company.country.can"
    },
    "entityId": 195,
    "cardCurrency": "USD",
    "spendLimit": 500,
    "spendLimitInterval": "monthly",
    "cardType": "hybrid",
    "shippingMethod": "Standard",
    "entityType": "Entity.LineOfCredit"
}
Body Params
string
enum
required

The type of the entity that the card will be associated with. In this context, the card will always be associated with a line of credit account.

Allowed:
int32
required

The ID of the entity that the card will be associated with. In this context, the card will always be associated with a line of credit account.

int32
required

The ID of the Bucket that cash advance transactions will be assigned to.

int32
required

The ID of the customer that the card will be associated with.

string
required

The name or "title" of the card. This is used to differentiate the card from others.
Limited to 45 characters.

int32
required

The ID of the Secure Payments Card Program that the card will be associated with. Card Programs also determine default Card settings.

int32

The default amount a cardholder can spend during a determined period of time. The spend_limit is separate from the available_balance , and it controls the velocity of spending with a card.
> If left blank, the card will adopt the default value set by the card program.

string
enum

The time period in which the spend_limit is considered.
> If left blank, the card will adopt the default value set by the card program.

Allowed:
string
enum

The type of currency used by the card

Allowed:
string
enum

The type of the card, determining whether the card is physical, virtual, or a combination of both.
> If left blank, the card will adopt the default value set by the card program.

Allowed:
string

The date on which the card expires.
Formatted as MM/YYYY.
> This field is required when creating cards via Visa DPS.

string

Used to reference the card art that's presented to the cardholder.

string

Used to select a card embosser's product configuration, if necessary.

date-time

The timestamp of when a cardholder passed Know Your Customer (KYC) verification.
Formatted as YYYY-MM-DDThh:mm:ss.sssZ
> This field is required when creating cards via Lithic.

date-time

The timestamp of when a cardholder agreed to the card's terms of service.
Formatted as YYYY-MM-DDThh:mm:ss.sssZ
> This field is required when creating cards via Lithic.

string

Holds an ID for reference to an external system.
> For cards issued by Lithic, use this field to store the Lithic card token.

string

Holds an ID for reference to an external system.
> For cards issued by Lithic, use this field to store the Lithic account holder token.

string

Holds an ID for reference to an external system.
> For cards issued by Lithic, use this field to store the Lithic account token.

string
enum

The method used to ship the card to the customer.
> If left blank, the card will adopt the default value set by the card program.

Allowed:
shippingAddress
object

Holds the shipping address information in the case of physical cards that will be mailed to the cardholder.

billingAddress
object

Holds the billing address of the cardholder.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json